### Method

# Cogl Framebuffer clear

#### Declaration [src]

    void
    cogl_framebuffer_clear (
      CoglFramebuffer* framebuffer,
      unsigned long buffers,
      const CoglColor* color
    )

#### Description [src]

Clears all the auxiliary buffers identified in the `buffers` mask, and if that includes the color buffer then the specified `color` is used.

#### Parameters

`buffers`

  Type: `unsigned long`

  A mask of `CoglBufferBit`s identifying which auxiliary buffers to clear.

`color`

  Type: `CoglColor`

  The color to clear the color buffer too if specified in `buffers`.

  The data is owned by the caller of the method.